rpms/binutils/devel binutils-2.18.50.0.8-generic-elf-size.patch, NONE, 1.1 binutils-2.18.50.0.8-largefile.patch, NONE, 1.1 binutils.spec, 1.135, 1.136

Jan Kratochvil (jkratoch) fedora-extras-commits at redhat.com
Fri Aug 1 05:36:18 UTC 2008


Author: jkratoch

Update of /cvs/pkgs/rpms/binutils/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv14056

Modified Files:
	binutils.spec 
Added Files:
	binutils-2.18.50.0.8-generic-elf-size.patch 
	binutils-2.18.50.0.8-largefile.patch 
Log Message:
* Fri Aug  1 2008 Jan Kratochvil <jan.kratochvil at redhat.com> 2.18.50.0.8-2
- Fix parsing elf64-i386 files for kdump PAE vmcore dumps (BZ 457189).
- Turn on 64-bit BFD support for i386, globally enable AC_SYS_LARGEFILE.
- `--with debug' builds now with --disable-shared.
- Removed a forgotten unused ld/eelf32_spu.c workaround from 2.18.50.0.8-1.


binutils-2.18.50.0.8-generic-elf-size.patch:

--- NEW FILE binutils-2.18.50.0.8-generic-elf-size.patch ---
2008-07-29  Jan Kratochvil  <jan.kratochvil at redhat.com>

	Recognize elf64-i386 at least as elf64-little.
	* elfcore.h (elf_core_file_p): Exclusion of existing arches for the
	generic arch fallback now matches also the arch size.

--- bfd/elfcore.h	10 May 2008 01:58:17 -0000	1.27
+++ bfd/elfcore.h	29 Jul 2008 18:25:07 -0000
@@ -159,11 +159,12 @@ elf_core_file_p (bfd *abfd)
 	  if ((*target_ptr)->flavour != bfd_target_elf_flavour)
 	    continue;
 	  back = xvec_get_elf_backend_data (*target_ptr);
-	  if (back->elf_machine_code == i_ehdrp->e_machine
-	      || (back->elf_machine_alt1 != 0
-	          && i_ehdrp->e_machine == back->elf_machine_alt1)
-	      || (back->elf_machine_alt2 != 0
-	          && i_ehdrp->e_machine == back->elf_machine_alt2))
+	  if (ARCH_SIZE == back->s->arch_size
+	      && (back->elf_machine_code == i_ehdrp->e_machine
+		  || (back->elf_machine_alt1 != 0
+		      && i_ehdrp->e_machine == back->elf_machine_alt1)
+		  || (back->elf_machine_alt2 != 0
+		      && i_ehdrp->e_machine == back->elf_machine_alt2)))
 	    {
 	      /* target_ptr is an ELF backend which matches this
 		 object file, so reject the generic ELF target.  */

binutils-2.18.50.0.8-largefile.patch:

--- NEW FILE binutils-2.18.50.0.8-largefile.patch ---
bfd/
2008-07-31  Jan Kratochvil  <jan.kratochvil at redhat.com>

	Fix loading large elf64 binaries on 32bit hosts.
	* configure.in: Call AC_SYS_LARGEFILE.
	* config.in: Regenerate.
	* configure: Regenerate.

binutils/
2008-07-31  Jan Kratochvil  <jan.kratochvil at redhat.com>

	Fix loading large elf64 binaries on 32bit hosts.
	* configure.in: Call AC_SYS_LARGEFILE.
	* config.in: Regenerate.
	* configure: Regenerate.

libiberty/
2008-07-31  Jan Kratochvil  <jan.kratochvil at redhat.com>

	ABI compatibility with bfd/ and binutils/ having it enabled.
	* configure.in: Call AC_SYS_LARGEFILE.
	* config.in: Regenerate.
	* configure: Regenerate.

gas/
2008-07-31  Jan Kratochvil  <jan.kratochvil at redhat.com>

	ABI compatibility with bfd/ and binutils/ having it enabled.
	* configure.in: Call AC_SYS_LARGEFILE.
	* config.in: Regenerate.
	* configure: Regenerate.

gprof/
2008-07-31  Jan Kratochvil  <jan.kratochvil at redhat.com>

	ABI compatibility with bfd/ and binutils/ having it enabled.
	* configure.in: Call AC_SYS_LARGEFILE.
	* gconfig.in: Regenerate.
	* configure: Regenerate.

ld/
2008-07-31  Jan Kratochvil  <jan.kratochvil at redhat.com>

	ABI compatibility with bfd/ and binutils/ having it enabled.
	* configure.in: Call AC_SYS_LARGEFILE.
	* config.in: Regenerate.
	* configure: Regenerate.

--- bfd/configure.in	10 Jul 2008 01:32:22 -0000	1.241
+++ bfd/configure.in	30 Jul 2008 06:53:39 -0000
@@ -21,6 +21,7 @@ AM_DISABLE_SHARED
 
 AC_PROG_CC
 AC_GNU_SOURCE
+AC_SYS_LARGEFILE
 
 AC_PROG_LIBTOOL
 
--- bfd/config.in	10 Jul 2008 01:32:21 -0000	1.39
+++ bfd/config.in	30 Jul 2008 06:53:23 -0000
@@ -297,7 +297,13 @@
 /* Version number of package */
 #undef VERSION
 
+/* Number of bits in a file offset, on hosts where this is settable. */
+#undef _FILE_OFFSET_BITS
+
 /* Enable GNU extensions on systems that have them.  */
 #ifndef _GNU_SOURCE
 # undef _GNU_SOURCE
 #endif
+
+/* Define for large files, on AIX-style hosts. */
+#undef _LARGE_FILES
--- bfd/configure	10 Jul 2008 01:32:21 -0000	1.280
+++ bfd/configure	30 Jul 2008 06:53:39 -0000
@@ -1003,6 +1003,7 @@ Optional Features:
   --enable-dependency-tracking   do not reject slow dependency extractors
   --enable-shared[=PKGS]
                           build shared libraries [default=no]
+  --disable-largefile     omit support for large files
   --enable-static[=PKGS]
                           build static libraries [default=yes]
   --enable-fast-install[=PKGS]
@@ -4169,6 +4170,370 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
 
+# Check whether --enable-largefile or --disable-largefile was given.
+if test "${enable_largefile+set}" = set; then
+  enableval="$enable_largefile"
+
+fi;
+if test "$enable_largefile" != no; then
+
+  echo "$as_me:$LINENO: checking for special C compiler options needed for large files" >&5
+echo $ECHO_N "checking for special C compiler options needed for large files... $ECHO_C" >&6
+if test "${ac_cv_sys_largefile_CC+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_sys_largefile_CC=no
+     if test "$GCC" != yes; then
+       ac_save_CC=$CC
+       while :; do
+     	 # IRIX 6.2 and later do not support large files by default,
+     	 # so use the C compiler's -n32 option if that helps.
+	 cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <sys/types.h>
+ /* Check that off_t can represent 2**63 - 1 correctly.
+    We can't simply define LARGE_OFF_T to be 9223372036854775807,
+    since some C++ compilers masquerading as C compilers
+    incorrectly reject 9223372036854775807.  */
+#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
+  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
+		       && LARGE_OFF_T % 2147483647 == 1)
+		      ? 1 : -1];
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+     	 rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  break
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.err conftest.$ac_objext
+     	 CC="$CC -n32"
+     	 rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_sys_largefile_CC=' -n32'; break
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.err conftest.$ac_objext
+	 break
+       done
+       CC=$ac_save_CC
+       rm -f conftest.$ac_ext
+    fi
+fi
+echo "$as_me:$LINENO: result: $ac_cv_sys_largefile_CC" >&5
+echo "${ECHO_T}$ac_cv_sys_largefile_CC" >&6
+  if test "$ac_cv_sys_largefile_CC" != no; then
+    CC=$CC$ac_cv_sys_largefile_CC
+  fi
[...2098 lines suppressed...]
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#define _FILE_OFFSET_BITS 64
+#include <sys/types.h>
+ /* Check that off_t can represent 2**63 - 1 correctly.
+    We can't simply define LARGE_OFF_T to be 9223372036854775807,
+    since some C++ compilers masquerading as C compilers
+    incorrectly reject 9223372036854775807.  */
+#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
+  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
+		       && LARGE_OFF_T % 2147483647 == 1)
+		      ? 1 : -1];
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_sys_file_offset_bits=64; break
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+  break
+done
+fi
+echo "$as_me:$LINENO: result: $ac_cv_sys_file_offset_bits" >&5
+echo "${ECHO_T}$ac_cv_sys_file_offset_bits" >&6
+if test "$ac_cv_sys_file_offset_bits" != no; then
+
+cat >>confdefs.h <<_ACEOF
+#define _FILE_OFFSET_BITS $ac_cv_sys_file_offset_bits
+_ACEOF
+
+fi
+rm -f conftest*
+  echo "$as_me:$LINENO: checking for _LARGE_FILES value needed for large files" >&5
+echo $ECHO_N "checking for _LARGE_FILES value needed for large files... $ECHO_C" >&6
+if test "${ac_cv_sys_large_files+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  while :; do
+  ac_cv_sys_large_files=no
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <sys/types.h>
+ /* Check that off_t can represent 2**63 - 1 correctly.
+    We can't simply define LARGE_OFF_T to be 9223372036854775807,
+    since some C++ compilers masquerading as C compilers
+    incorrectly reject 9223372036854775807.  */
+#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
+  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
+		       && LARGE_OFF_T % 2147483647 == 1)
+		      ? 1 : -1];
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  break
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#define _LARGE_FILES 1
+#include <sys/types.h>
+ /* Check that off_t can represent 2**63 - 1 correctly.
+    We can't simply define LARGE_OFF_T to be 9223372036854775807,
+    since some C++ compilers masquerading as C compilers
+    incorrectly reject 9223372036854775807.  */
+#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
+  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
+		       && LARGE_OFF_T % 2147483647 == 1)
+		      ? 1 : -1];
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_sys_large_files=1; break
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+  break
+done
+fi
+echo "$as_me:$LINENO: result: $ac_cv_sys_large_files" >&5
+echo "${ECHO_T}$ac_cv_sys_large_files" >&6
+if test "$ac_cv_sys_large_files" != no; then
+
+cat >>confdefs.h <<_ACEOF
+#define _LARGE_FILES $ac_cv_sys_large_files
+_ACEOF
+
+fi
+rm -f conftest*
+fi
+
 # Find a good install program.  We prefer a C program (faster),
 # so one script is as good as another.  But avoid the broken or
 # incompatible versions:


Index: binutils.spec
===================================================================
RCS file: /cvs/pkgs/rpms/binutils/devel/binutils.spec,v
retrieving revision 1.135
retrieving revision 1.136
diff -u -r1.135 -r1.136
--- binutils.spec	31 Jul 2008 07:41:11 -0000	1.135
+++ binutils.spec	1 Aug 2008 05:35:48 -0000	1.136
@@ -3,19 +3,22 @@
 # --define "binutils_target arm-linux-gnu" to create arm-linux-gnu-binutils.
 # --with debug: Build without optimizations and without splitting the debuginfo.
 # --without testsuite: Do not run the testsuite.  Default is to run it.
+# --with testsuite: Run the testsuite.  Default --with debug is not to run it.
 
 %if 0%{!?binutils_target:1}
 %define binutils_target %{_target_platform}
 %define isnative 1
+%define enable_shared 1
 %else
 %define cross %{binutils_target}-
 %define isnative 0
+%define enable_shared 0
 %endif
 
 Summary: A GNU collection of binary utilities.
 Name: %{?cross}binutils%{?_with_debug:-debug}
 Version: 2.18.50.0.8
-Release: 1%{?dist}
+Release: 2%{?dist}
 License: GPLv3+
 Group: Development/Tools
 URL: http://sources.redhat.com/binutils
@@ -29,6 +32,8 @@
 Patch7: binutils-2.18.50.0.6-version.patch
 Patch8: binutils-2.18.50.0.8-spu_ovl-fatal.patch
 Patch9: binutils-2.18.50.0.8-spu_ovl-dependency.patch
+Patch10: binutils-2.18.50.0.8-generic-elf-size.patch
+Patch11: binutils-2.18.50.0.8-largefile.patch
 
 %if 0%{?_with_debug:1}
 # Define this if you want to skip the strip step and preserve debug info.
@@ -90,6 +95,8 @@
 %patch7 -p0 -b .version~
 %patch8 -p0 -b .spu_ovl-fatal~
 %patch9 -p0 -b .spu_ovl-dependency~
+%patch10 -p0 -b .generic-elf-size~
+%patch11 -p0 -b .largefile~
 
 # We cannot run autotools as there is an exact requirement of autoconf-2.59.
 
@@ -119,18 +126,18 @@
 export CFLAGS="$RPM_OPT_FLAGS"
 CARGS=
 
-case %{binutils_target} in sparc*|ppc*|s390*)
+case %{binutils_target} in i?86*|sparc*|ppc*|s390*)
   CARGS="$CARGS --enable-64-bit-bfd"
   ;;
 esac
 
 case %{binutils_target} in ia64*)
-  CARGS="--enable-targets=i386-linux"
+  CARGS="$CARGS --enable-targets=i386-linux"
   ;;
 esac
 
 case %{binutils_target} in ppc*|ppc64*)
-  CARGS="--enable-targets=spu"
+  CARGS="$CARGS --enable-targets=spu"
   # This file is present in CVS but missing in H. J. Lu's snapshots.
   # To include it for --enable-targets=spu we need to build gas by --target=spu.
   ! test -f ld/emultempl/spu_ovl.o
@@ -150,9 +157,8 @@
 cd build-%{binutils_target}
 
 %if 0%{?_with_debug:1}
-# --enable-werror could conflict with `-Wall -O0' but this is no longer true
-# for recent GCCs.
 CFLAGS="$CFLAGS -O0 -ggdb2"
+%define enable_shared 0
 %endif
 
 # We could optimize the cross builds size by --enable-shared but the produced
@@ -160,12 +166,15 @@
 CC="gcc -L`pwd`/bfd/.libs/" ../configure \
 %if %{isnative}
   %{binutils_target} \
-  --enable-shared \
 %else
   --target %{binutils_target} --enable-targets=%{_host} \
-  --disable-shared \
   --with-sysroot=%{_prefix}/%{binutils_target}/sys-root \
 %endif
+%if %{enable_shared}
+  --enable-shared \
+%else
+  --disable-shared \
+%endif
   $CARGS \
   --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} \
   --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
@@ -175,13 +184,11 @@
   --infodir=%{_infodir} --disable-werror \
   --with-bugurl=http://bugzilla.redhat.com/bugzilla/
 make %{_smp_mflags} tooldir=%{_prefix} all
-# Fix: Found '%{buildroot}' in installed files; aborting
-if [ -f ld/eelf32_spu.c ]
-then
-  sed -i -e 's#%{buildroot}##g' ld/eelf32_spu.c
-fi
 make %{_smp_mflags} tooldir=%{_prefix} info
-%if 0%{?_without_testsuite:1}
+
+# Do not use %%check as it is run after %%install where libbfd.so is rebuild
+# with -fvisibility=hidden no longer being usable in its shared form.
+%if 0%{?_without_testsuite:1} || (0%{!?_with_testsuite:1} && 0%{?_with_debug:1})
 echo ====================TESTSUITE DISABLED=========================
 %else
 make -k check < /dev/null > check.log 2>&1 || :
@@ -217,7 +224,9 @@
 # Remove Windows/Novell only man pages
 rm -f %{buildroot}%{_mandir}/man1/{dlltool,nlmconv,windres}*
 
+%if %{enable_shared}
 chmod +x %{buildroot}%{_prefix}/%{_lib}/lib*.so*
+%endif
 
 # Prevent programs to link against libbfd and libopcodes dynamically,
 # they are changing far too often
@@ -310,8 +319,10 @@
 %doc README
 %{_prefix}/bin/*
 %{_mandir}/man1/*
-%if %{isnative}
+%if %{enable_shared}
 %{_prefix}/%{_lib}/lib*.so
+%endif
+%if %{isnative}
 %{_infodir}/[^b]*info*
 %{_infodir}/binutils*info*
 
@@ -323,6 +334,12 @@
 %endif # %{isnative}
 
 %changelog
+* Fri Aug  1 2008 Jan Kratochvil <jan.kratochvil at redhat.com> 2.18.50.0.8-2
+- Fix parsing elf64-i386 files for kdump PAE vmcore dumps (BZ 457189).
+- Turn on 64-bit BFD support for i386, globally enable AC_SYS_LARGEFILE.
+- `--with debug' builds now with --disable-shared.
+- Removed a forgotten unused ld/eelf32_spu.c workaround from 2.18.50.0.8-1.
+
 * Thu Jul 31 2008 Jan Kratochvil <jan.kratochvil at redhat.com> 2.18.50.0.8-1
 - Update to 2.18.50.0.8.
   - Drop the .clmul -> .pclmul renaming backport.




More information about the fedora-extras-commits mailing list